package com.jsh.erp.datasource.entities;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 盘点任务明细
 */
@Data
@Accessors(chain = true)
public class TaskStocktakingItem {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("任务ID")
    private Long taskStocktakingId;

    @ApiModelProperty("商品ID")
    private Long materialItemId;

    @ApiModelProperty("操作人ID")
    private Long creator;

    @ApiModelProperty("操作时间")
    private Date operTime;

    @ApiModelProperty("新仓位货架")
    private String newPosition;

    @ApiModelProperty("新库存数")
    private BigDecimal newInventory;

    @ApiModelProperty("差异数量")
    private Integer differenceCount;

    @ApiModelProperty("差异原因")
    private String differenceReason;

    @ApiModelProperty("删除标记，0.未删除，1.已删除")
    private boolean deleteFlag;

}
